Part Ellipsoid/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "Díl Elipsoid")
 
(Updating to match new version of source page)
 
(22 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{Template:UnfinishedDocu}}


{{Docnav
{{GuiCommand|Name=Part Ellipsoid|MenuLocation=Part → [[Part_CreatePrimitives|Create Primitives]] → Ellipsoid|Workbenches=[[Part Module|Part]], [[OpenSCAD_Module|OpenSCAD]]|SeeAlso=..}}
|[[Part_Plane|Plane]]
|[[Part_Prism|Prism]]
|[[Part_Workbench|Part]]
|IconL=Part_Plane.svg
|IconR=Part_Prism.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
==Description==
{{GuiCommand/cs|Name=Part Ellipsoid|Name/cs=Díl Ellipsoid|MenuLocation=Díl → [[Part_CreatePrimitives/cs|Vytváření zákl.geom.tvarů]] → Elipsoid|Workbenches=[[Part_Workbench/cs|Díl]], [[OpenSCAD_Workbench/cs|OpenSCAD]]|SeeAlso=..}}
</div>


<div class="mw-translate-fuzzy">
===Geometric Primitives===
==Popis==
</div>

A [[Image:Part_Ellipsoid.svg|24px]] '''Part Ellipsoid''' is a parametric solid that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of an ellipsoid by changing its {{PropertyData|Angle3}} property.

[[Image:Part_Ellipsoid_Example.png|400px]]

== Usage ==

See [[Part_Primitives#Usage|Part Primitives]].

== Example ==

[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]

A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.

<div class="mw-translate-fuzzy">
===Základní geometrické tvary===
{|
{|
| [[File:PartEllipsoidPrimitivesOptions_it.png]]
| [[File:PartEllipsoidPrimitivesOptions_it.png]]
|
|
Elipsoid
Ellipsoid
====Parameter====
====Parametr====
* {{Parameter|Radius 1}}
* {{Parameter|Poloměr 1}}
* {{Parameter|Radius 2}}
* {{Parameter|Poloměr 2}}
* {{Parameter|U parametric}}:
* {{Parameter|U parametric}}:
* {{Parameter|V parametric}}:
* {{Parameter|V parametric}}:
Line 21: Line 51:
|}
|}
{{clear}}
{{clear}}
</div>


See also: [[Property_editor|Property editor]].
===Property===
{|
| [[File:PartEllipsoidProperty_it.png]]
|
==== View ====
.
==== Data ====
{{KEY/it|Base}}<br />
* {{PropertyData|Label}}:
* {{PropertyData|Placement}}: [[Placement|placement]]
{{KEY/it|Ellipsoid}}<br />
* {{ProprietaDati|Angle1}} :
* {{PropertyData|Angle2}} :
* {{PropertyData|Angle3}} :
* {{PropertyData|Radius1}} :
*{{PropertyData|Radius2}} :
|}
{{clear}}


A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
== Example ==
See [[Part_Sphere|Sphere]]


=== Data ===
{{clear}}

<languages/>
{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Ellipsoid}}

* {{PropertyData|Radius1|Length}}: The radius of the ellipsoid in its Z direction. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the ellipsoid in its X direction. The default is {{Value|4mm}}.
* {{PropertyData|Radius3|Length}}: The radius of the ellipsoid in its Y direction. The default is {{Value|4mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt;&#61; value &lt; 90°}}. Must be smaller than {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt; value &lt;&#61; 90°}}. Must be larger than {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the elliptical sides is smaller than {{Value|180°}} the ellipsoid will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipsoid can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
}}

* Where {{Incode|"myEllipsoid"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()
}}


{{Docnav
|[[Part_Plane|Plane]]
|[[Part_Prism|Prism]]
|[[Part_Workbench|Part]]
|IconL=Part_Plane.svg
|IconR=Part_Prism.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:07, 3 March 2022

Díl Ellipsoid

Umístění Menu
Díl → Vytváření zákl.geom.tvarů → Elipsoid
Pracovní stoly
Díl, OpenSCAD
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
..

Popis

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its ÚdajePlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its ÚdajeAngle1 and/or ÚdajeAngle2 properties. It can be turned into a segment of an ellipsoid by changing its ÚdajeAngle3 property.

Usage

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Základní geometrické tvary

Elipsoid

Parametr

  • Poloměr 1
  • Poloměr 2
  • U parametric:
  • V parametric:
  • V parametric:

Location

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • ÚdajeRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • ÚdajeRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • ÚdajeRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • ÚdajeAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than ÚdajeAngle2. The default is -90°.
  • ÚdajeAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than ÚdajeAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • ÚdajeAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()